Update a Blueprint

Updates a Blueprint. Fields not sent in the body are left unchanged.

Path Params
uuid
required
^[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-4[0-9A-Fa-f]{3}-[89ABab][0-9A-Fa-f]{3}-[0-9A-Fa-f]{12}$

ID of your Tenant Manager (MSP) organization. You can find it on the API Key Management page in the DEX platform.

string
required

ID of the Blueprint to update. You can use GET /blueprints to see the ID of each Blueprint.

Body Params
string
string | null
uuid
^[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-4[0-9A-Fa-f]{3}-[89ABab][0-9A-Fa-f]{3}-[0-9A-Fa-f]{12}$

The organization ID of the tenant to copy the configuration from.

string
enum

How to handle an item that already exists in a target tenant under the same name as a source item.

Allowed:
config_types
array of objects

The configuration types to copy from the source tenant and include in the Blueprint.

config_types
Allowed:
include_tags
object

Whether to include tag assignments in the Blueprint for certain configuration types. Defaults to true for each configuration type.

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json